Bug 70033 - kdesdk-3.0.2-1.src.rpm and dbX-devel
kdesdk-3.0.2-1.src.rpm and dbX-devel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdesdk (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-29 10:23 EDT by tanner
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-28 10:44:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Evidence that kdesdk does require db2-devel as a BuildRequires: (406.28 KB, text/plain)
2002-07-31 19:17 EDT, tanner
no flags Details

  None (edit)
Description tanner 2002-07-29 10:23:50 EDT
kdesdk should have a BuildRequires: dbX-devel, X=3, but there is db2 and db1,
I'm not sure what RedHat wants to support.

I've compiled and linked against db3 and everything seems to work.
Comment 1 Ngo Than 2002-07-31 16:17:50 EDT
why should it have BuildRequires: dbX-devel? kdesdk does not use db!
By the way the current redhat rawhide does not have db3.
Comment 2 tanner 2002-07-31 19:15:26 EDT
I think you should re-look at this. kdesdk does use Berkeley Database.

From the configure script:

checking for Berkeley Database II... -ldb2

I did a typescript of a rpm --rebuild and there are several instances of linking
against -ldb2, I'll include the typescript as an attachment.

My original statement still stands, that a BuildRequires: dbX-devel is required,
where X=2
Comment 3 tanner 2002-07-31 19:17:36 EDT
Created attachment 68104 [details]
Evidence that kdesdk does require db2-devel as a BuildRequires:
Comment 4 Ngo Than 2002-08-05 11:24:52 EDT
configure just said it found dbX on local machine. It does mean that it's
required. I took a look here, none of them is linked with dbX.

Comment 5 tanner 2002-08-05 12:18:28 EDT
Sorry, I know this is irritating, but I think you need to look closer. Here is a
snippet from the attachment I uploaded:

Notice the "^^^^^" and the library name. There are many other instance linking
against libdb2 the attachment list below:

http://bugzilla.redhat.com/bugzilla/showattachment.cgi?attach_id=68104

/bin/sh ../../../../libtool --mode=link --tag=CXX g++ -release gcc2.96  -O2 -O2
-march=i386 -mcpu=i686 -D_GNU_SOURCE -fno-exceptions -fno-check-new
-DQT_CLEAN_NAMESPACE -UQT_NO_COMPAT -DQT_NO_ASCII_CAST    -o
libdbsearchengine.la.closure libdbsearchengine_la_closure.lo -L/usr/X11R6/lib
-L/usr/lib/qt3-gcc2.96/lib -L/usr/lib  -module -avoid-version -no-undefined -L.
KDBSearchEngine.lo preferenceswidget.lo dbse_factory.lo database.lo dbscan.lo
dbseprefwidget.lo libdbsearchengine_la_meta_unload.lo 
../../libkbabeldictplugin.la ../../../common/libkbabelcommon.la -lkdeui -lkio -ldb2 
^^^^^^
       Linking against libdb2!

Here is another one:

g++ -O2 -O2 -march=i386 -mcpu=i686 -D_GNU_SOURCE -fno-exceptions -fno-check-new
-DQT_CLEAN_NAMESPACE -UQT_NO_COMPAT -DQT_NO_ASCII_CAST -o
.libs/libdbsearchengine.la.closure .libs/libdbsearchengine_la_closure.o
.libs/KDBSearchEngine.o .libs/preferenceswidget.o .libs/dbse_factory.o
.libs/database.o .libs/dbscan.o .libs/dbseprefwidget.o
.libs/libdbsearchengine_la_meta_unload.o  -L/usr/X11R6/lib
-L/usr/lib/qt3-gcc2.96/lib -L/usr/lib
-L/usr/src/redhat/BUILD/kdesdk-3.0.2/kbabel/kbabeldict/modules/dbsearchengine
../../.libs/libkbabeldictplugin.so -L/usr/lib/gcc-lib/i386-redhat-linux/2.96
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../..
../../../common/.libs/libkbabelcommon.so
-L/usr/src/redhat/BUILD/kdesdk-3.0.2/kbabel/common/libgettext /usr/lib/libkio.so
/usr/lib/libkdeui.so /usr/lib/libkdefx.so -lXrender /usr/lib/libkdesu.so
/usr/lib/libkdecore.so /usr/lib/libDCOP.so -lqt-mt -lpng -lX11 -lSM -lICE
-lpthread -ldl -lXext -lresolv -lXinerama -lutil -lz -lstdc++ -lm -lc -lgcc 
-ldb2 -Wl,--rpath -Wl,/usr/lib/qt3-gcc2.96/lib -Wl,--rpath -Wl,/usr/X11R6/lib
^^^^^^

        Linking against libdb2
Comment 6 tanner 2002-08-05 12:19:36 EDT
Blah! The formatting of the document changed with I posted  it, the "^^^^" don't
line up right, but you can see the -ldb in the text above.
Comment 7 Ngo Than 2004-01-28 10:44:01 EST
it's fixed in current release 

Note You need to log in before you can comment on or make changes to this bug.